<!DOCTYPE html>
<html lang="en">
	<head>
		{ia_hooker name='smartyFrontBeforeHeadSection'}

		<title>{ia_print_title title=$gTitle|default:$pageTitle}</title>
		<meta http-equiv="Content-Type" content="text/html;charset={$config.charset}">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="generator" content="Subrion CMS {$config.version} - Open Source Content Management System">
		<meta name="description" content="{$description}">
		<meta name="keywords" content="{$keywords}">
		<meta name="robots" content="index">
		<meta name="robots" content="follow">
		<meta name="revisit-after" content="1 day">
		<base href="{$nonProtocolUrl}">

		<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="{$smarty.const.IA_CLEAR_URL}js/utils/shiv.js"></script>
		<![endif]-->

		<link rel="shortcut icon" href="{$nonProtocolUrl}favicon.ico">

		<link href="{$smarty.const.IA_CLEAR_URL}templates/{$config.tmpl}/css/iabootstrap-{$config.template_color_scheme|default:'default'}.css" rel="stylesheet" id="base-stylesheet">
		<link href="{$smarty.const.IA_CLEAR_URL}templates/{$config.tmpl}/css/iabootstrap-responsive.css" rel="stylesheet">

		{ia_add_media files='jquery, subrion' order=0}
		{ia_print_js files='bootstrap/js/bootstrap.min' order=0}
		{ia_print_js files='_IA_TPL_jquery.sidr, _IA_TPL_app' order=999}

		{ia_hooker name='smartyFrontAfterHeadSection'}

		{ia_print_css files='user-style' display='on'}

		{ia_add_js}
			intelli.pageName = '{$pageName}';

			{foreach $customConfig as $key => $value}
				intelli.config.{$key} = '{$value}';
			{/foreach}
		{/ia_add_js}
	</head>

	<body>

		<div id="wrapper">
			<div id="left-col">

				<div class="togglers">
					<a href="#sidr" id="nav-toggle"><i class="icon-reorder"></i></a>
					{if !$member && $config.members_enabled}
						<a href="#login-form" id="user-login" data-toggle="modal"><i class="icon-user"></i> {lang key='sign_in'}</a>
						<a href="{$smarty.const.IA_URL}registration/" id="user-register"><i class="icon-plus-sign"></i> {lang key='sign_up'}</a>
					{/if}
				</div>
				<div id="sidr">
					{ia_blocks block='mainmenu'}
					<div class="blocks">
						{ia_blocks block='flyout'}
					</div>
				</div>

				<div class="header">
					<a class="header__logo" href="{$smarty.const.IA_URL}">
						{if !empty($config.site_logo)}
							<img src="{$nonProtocolUrl}uploads/{$config.site_logo}" alt="{$config.site}">
						{else}
							<img src="{$img}logo.png" alt="{$gTitle}">
						{/if}
					</a>

					<p class="header__slogan">
						<a href="{$smarty.const.IA_URL}">
							{$config.pi_website_name|default:'Publish it!'}
						</a>
						<span class="header__slogan__separator"></span>
						{$config.pi_website_slogan|default:'Content is king. You are responsible for it. Love it. Publish it.'}
					</p>

					{if $config.pi_social}
						<div class="header__social">
							<a href="{$config.pi_social_t}">
								<span class="icon-stack">
									<i class="icon-circle icon-stack-base"></i>
									<i class="icon-twitter icon-light"></i>
								</span>
							</a>
							<a href="{$config.pi_social_f}">
								<span class="icon-stack">
									<i class="icon-circle icon-stack-base"></i>
									<i class="icon-facebook icon-light"></i>
								</span>
							</a>
							<a href="{$config.pi_social_g}">
								<span class="icon-stack">
									<i class="icon-circle icon-stack-base"></i>
									<i class="icon-google-plus icon-light"></i>
								</span>
							</a>
							<a href="{$config.pi_social_p}">
								<span class="icon-stack">
									<i class="icon-circle icon-stack-base"></i>
									<i class="icon-pinterest icon-light"></i>
								</span>
							</a>
						</div>
					{/if}
				</div>
				<div class="blocks">
					{ia_blocks block='left'}
				</div>
				<footer class="section section-dark">
					{ia_hooker name='smartyFrontBeforeFooterLinks'}

					<p class="copyright">&copy; {$smarty.server.REQUEST_TIME|date_format:'%Y'} {lang key='powered_by_subrion'}</p>
					{ia_blocks block='copyright'}

					{ia_hooker name='smartyFrontAfterFooterLinks'}
				</footer>
			</div>
			<div id="right-col">
				{include file='breadcrumb.tpl'}

				{ia_blocks block='top'}

				<div class="content-wrap">

					<h1 class="page-header">{$pageTitle}</h1>

					{ia_hooker name='smartyFrontBeforeNotifications'}
					
					{include file='notification.tpl'}

					{ia_hooker name='smartyFrontBeforeMainContent'}

					{$_content_}

					{ia_hooker name='smartyFrontAfterMainContent'}

					<div class="blocks--bottom">{ia_blocks block='bottom'}</div>
				</div>
			</div>
			<div id="aside-col">
				<div class="blocks">
					{ia_blocks block='right'}
				</div>
			</div>
		</div>

		<div id="login-form" class="modal hide fade">
			<form action="{$smarty.const.IA_URL}login/" method="post" id="login_form" class="ia-form">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><img src="{$img}cross.png" width="30" alt=""></button>
					<h3>{lang key='page_title_login'}</h3>
				</div>
				<div class="modal-body">
					{preventCsrf}

					<div class="control-group">
						<label class="control-label" for="field_login">{lang key='username_or_email'}:</label>
						<div class="controls">
							<input type="text" tabindex="4" name="username" value="{if isset($smarty.post.username)}{$smarty.post.username|escape:'html'}{/if}" id="field_login" class="input-block-level">
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="field_password">{lang key='password'}:</label>
						<div class="controls">
							<input type="password" tabindex="5" name="password" id="field_password" class="input-block-level">
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="submit" tabindex="6" name="login" class="btn btn-primary pull-left">{lang key='login'}</button>
					<a href="{$smarty.const.IA_URL}forgot/" class="btn btn-link">{lang key='forgot'}</a>
				</div>
			</form>
		</div>

		<!-- SYSTEM STUFF -->

		{if $config.cron}
			<div style="display: none;">
				<img src="{$nonProtocolUrl}cron/?{randnum}" width="1" height="1" alt="">
			</div>
		{/if}

		{if isset($manageMode)}
			{include file='visual-mode.tpl'}
		{/if}

		{if isset($previewMode)}
			<p>{lang key='youre_in_preview_mode'}</p>
		{/if}

		{ia_print_js display='on'}

		{ia_hooker name='smartyFrontFinalize'}
	</body>
</html>