{if !empty($category.description)}
	<div class="slogan">{$category.description}</div>
{/if}

{if isset($categories) && $categories}
	{ia_block title=$lang.categories id='articles_categories'}
		<div class="ia-categories">
			{include file='ia-categories.tpl' categories=$categories item='articlecats' show_amount=true num_columns=$config.categories_columns}
		</div>
	{/ia_block}
{/if}

{if isset($show['years'])}
	<div class="well-light">
		{foreach $years as $y => $year}
			<h3><a class="title" href="{$smarty.const.IA_SELF}{$y}/">{$y}</a></h3>
			<p>
				{foreach $year.months as $m => $month}
					{if isset($month.articles)}<a href="{$smarty.const.IA_SELF}{$y}/{$m}/">{lang key=$month.name}</a>{else}{lang key=$month.name}{/if}{if !$month@last}, {/if}
				{/foreach}
			</p>
			{if !$year@last}<hr>{/if}
		{/foreach}		
	</div>
{/if}

{if isset($show['months'])}
	<table class="table table-bordered archive">
		{foreach $months as $m => $month}
			{if $month@first}<tr>{/if}
				<td>
					{if isset($month.articles)}
						<a href="{$smarty.const.IA_SELF}{$m}/">{lang key=$month.name}</a>
					{else}
						{lang key=$month.name}
					{/if}
				</td>
			{if $month@iteration is div by 4}</tr><tr>{/if}
			{if $month@last}</tr>{/if}
		{/foreach}
	</table>
{/if}

{if isset($articles) && $articles}
	{if !isset($articles_sorting) || $articles_sorting}
		<div class="dropdown-sort clearfix">
			<form action="{$smarty.const.IA_SELF}" method="post" id="sort_form" class="form-inline pull-right">
				{preventCsrf}
				<label>{lang key='sort_by'}:</label>
				<select name="sort_by" onchange="$('#sort_form').submit()" class="span2">
					<option value="date_added-desc"{if $smarty.session.p_order == 'date_added-desc'} selected="selected"{/if}>{lang key='date_desc'}</option>
					<option value="date_added-asc"{if $smarty.session.p_order == 'date_added-asc'} selected="selected"{/if}>{lang key='date_asc'}</option>
					<option value="title-desc"{if $smarty.session.p_order == 'title-desc'} selected="selected"{/if}>{lang key='title_desc'}</option>
					<option value="title-asc"{if $smarty.session.p_order == 'title-asc'} selected="selected"{/if}>{lang key='title_asc'}</option>
					<option value="views_num-desc"{if $smarty.session.p_order == 'views_num-desc'} selected="selected"{/if}>{lang key='views_desc'}</option>
					<option value="views_num-asc"{if $smarty.session.p_order == 'views_num-asc'} selected="selected"{/if}>{lang key='views_asc'}</option>
				</select>
			</form>
		</div>
	{/if}

	<div class="articles-items">
		{foreach $articles as $article}
			{include file='publishing:brief-article.tpl'}
		{/foreach}
	</div>

	{navigation aTotal=$pagination.total aTemplate=$pagination.template aItemsPerPage=$pagination.limit}
{/if}